For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get API information

Retrieves the API information such as API version.

get
Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
200

Successful operation

application/json
get/
GET /cloudapi/v6/ HTTP/1.1
Host: api.ionos.com
Accept: */*
{
  "href": "https://api.ionos.com/cloudapi/v6/",
  "name": "CLOUD API",
  "version": "6.0"
}

Last updated

Was this helpful?